using System.ComponentModel.DataAnnotations;

namespace RobotNet.Script.Shares.Dashboard;

public class DailyMissionDto
{
    [Range(0, int.MaxValue)]
    public int Completed { get; set; }
    [Range(0, int.MaxValue)]
    public int Error { get; set; }
    [Range(0, int.MaxValue)]
    public int Total { get; set; }
    [Range(0, int.MaxValue)]
    public int CompletedRate { get; set; }
    [Range(0, double.MaxValue)]
    public double TaktTimeMin { get; set; }
    [Range(0, double.MaxValue)]
    public double TaktTimeAverage { get; set; }
    [Range(0, double.MaxValue)]
    public double TaktTimeMax { get; set; }
    [Range(0, int.MaxValue)]
    public int RobotOnline { get; set; }
}
